File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxclient.h

Go to the documentation of this file.

    00001 /* $XFree86$ */
    00002 /*
    00003  * Copyright (c) 1995  X Consortium
    00004  * Copyright 2004 Red Hat Inc., Durham, North Carolina.
    00005  *
    00006  * All Rights Reserved.
    00007  *
    00008  * Permission is hereby granted, free of charge, to any person obtaining
    00009  * a copy of this software and associated documentation files (the
    00010  * "Software"), to deal in the Software without restriction, including
    00011  * without limitation on the rights to use, copy, modify, merge,
    00012  * publish, distribute, sublicense, and/or sell copies of the Software,
    00013  * and to permit persons to whom the Software is furnished to do so,
    00014  * subject to the following conditions:
    00015  *
    00016  * The above copyright notice and this permission notice shall be
    00017  * included in all copies or substantial portions of the Software.
    00018  *
    00019  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
    00020  * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
    00021  * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
    00022  * NON-INFRINGEMENT.  IN NO EVENT SHALL RED HAT, THE X CONSORTIUM,
    00023  * AND/OR THEIR SUPPLIERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    00024  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
    00025  * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
    00026  * OTHER DEALINGS IN THE SOFTWARE.
    00027  *
    00028  * Except as contained in this notice, the name of the X Consortium
    00029  * shall not be used in advertising or otherwise to promote the sale,
    00030  * use or other dealings in this Software without prior written
    00031  * authorization from the X Consortium.
    00032  */
    00033
    00034 /*
    00035  * Derived from hw/xnest/Xnest.h by Rickard E. (Rik) Faith <faith@redhat.com>
    00036  */
    00037
    00042 #ifndef _DMXCLIENT_H_
    00043 #define _DMXCLIENT_H_
    00044
    00045 #define GC XlibGC
    00046
    00047 #ifdef _XSERVER64
    00048 #define DMX64
    00049 #undef _XSERVER64
    00050 typedef unsigned long XID64;
    00051 typedef unsigned long Mask64;
    00052 typedef unsigned long Atom64;
    00053 typedef unsigned long VisualID64;
    00054 typedef unsigned long Time64;
    00055 #define XID           XID64
    00056 #define Mask          Mask64
    00057 #define Atom          Atom64
    00058 #define VisualID      VisualID64
    00059 #define Time          Time64
    00060 typedef XID           Window64;
    00061 typedef XID           Drawable64;
    00062 typedef XID           Font64;
    00063 typedef XID           Pixmap64;
    00064 typedef XID           Cursor64;
    00065 typedef XID           Colormap64;
    00066 typedef XID           GContext64;
    00067 typedef XID           KeySym64;
    00068 #define Window        Window64
    00069 #define Drawable      Drawable64
    00070 #define Font          Font64
    00071 #define Pixmap        Pixmap64
    00072 #define Cursor        Cursor64
    00073 #define Colormap      Colormap64
    00074 #define GContext      GContext64
    00075 #define KeySym        KeySym64
    00076 #endif
    00077
    00078 #include <X11/Xlib.h>
    00079 #include <X11/Xlibint.h>        /* For _XExtension */
    00080 #include <X11/X.h>              /* from glxserver.h */
    00081 #include <X11/Xmd.h>            /* from glxserver.h */
    00082 #include <X11/Xproto.h>
    00083 #include <X11/Xutil.h>
    00084 #include <X11/Xatom.h>
    00085 #include <X11/cursorfont.h>
    00086 #include <X11/Xmu/SysUtil.h>    /* For XmuSnprintf */
    00087
    00088 #ifdef SHAPE
    00089 #include <X11/extensions/shape.h>
    00090 #endif
    00091
    00092 #ifdef RENDER
    00093 #include <X11/extensions/Xrender.h>
    00094 #undef PictFormatType
    00095 #endif
    00096
    00097 #ifdef XKB
    00098 #include <X11/extensions/XKB.h>
    00099 #include <X11/extensions/XKBstr.h>
    00100 #endif
    00101
    00102 #ifdef XINPUT
    00103 #include <X11/extensions/XI.h>
    00104 #endif
    00105
    00106 /* Always include these, since we query them even if we don't export XINPUT. */
    00107 #include <X11/extensions/XInput.h> /* For XDevice */
    00108 #include <X11/extensions/Xext.h>
    00109
    00110 #undef GC
    00111
    00112 #ifdef DMX64
    00113 #define _XSERVER64
    00114 #undef XID
    00115 #undef Mask
    00116 #undef Atom
    00117 #undef VisualID
    00118 #undef Time
    00119 #undef Window
    00120 #undef Drawable
    00121 #undef Font
    00122 #undef Pixmap
    00123 #undef Cursor
    00124 #undef Colormap
    00125 #undef GContext
    00126 #undef KeySym
    00127 #endif
    00128
    00129 /* These are in exglobals.h, but that conflicts with X11/extensions/XKBsrv.h */
    00130 extern int ProximityIn;
    00131 extern int ProximityOut;
    00132 extern int DeviceValuator;
    00133 extern int DeviceMotionNotify;
    00134 extern int DeviceFocusIn;
    00135 extern int DeviceFocusOut;
    00136 extern int DeviceStateNotify;
    00137 extern int DeviceMappingNotify;
    00138 extern int ChangeDeviceNotify;
    00139
    00140 /* Some protocol gets included last, after undefines. */
    00141 #include <X11/XKBlib.h>
    00142 #ifdef XKB
    00143 #include <X11/extensions/XKBproto.h>
    00144 #define XKB_IN_SERVER
    00145 #include <X11/extensions/XKBsrv.h>
    00146 #undef XPointer
    00147 #endif
    00148 #include <X11/extensions/XIproto.h>
    00149
    00150 #endif